
QGIS Application - Bug report #3100

GDAL tools crash QGIS when a layer is removed from the canvas

2010-10-09 01:53 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13160

Description

    -  Load a raster

    -  Open Contour from Raster menu

    -  Go to canvas and remove the loaded raster

    -  Go to the plugin

    -  Segfault

Associated revisions

Revision 0840fb3f - 2011-03-16 08:40 AM - Giuseppe Sucameli

fix related to #3100 and missed in r15474

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15512 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1c3bac67 - 2011-03-16 08:40 AM - Giuseppe Sucameli

fix related to #3100 and missed in r15474

git-svn-id: http://svn.osgeo.org/qgis/trunk@15512 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-09 02:05 AM - Giovanni Manghi

no seg fault under Ubuntu/trunk

#2 - 2010-10-09 02:28 AM - Paolo Cavallini

Confirmed on both Debian Unstable @amd64 and Debian Testing @i386

#3 - 2010-10-09 02:54 AM - Borys Jurgiel

Confirmed on Ubuntu/trunk - not immediately after coming back to the plugin window, but after some clicking it crashes.

#4 - 2010-10-09 06:30 AM - Giuseppe Sucameli
- Status changed from Open to In Progress

Confirmed on Ubuntu 9.10/trunk

After you come back to the plugin window, select a different input file (select button) and then re-select the layer in canvas (the removed one).

Solution: refreshing the combo when the layers in canvas changed

#5 - 2011-03-14 09:02 AM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from In Progress to Closed

Fixed from commit:167df200 (SVN r15475)
